--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A hook to allow types to extend or modify property it's bound to. Implementations are not supposed to modify the state of the type class, and should produce no side-effects on the type class.
full_name: DataMapper::Type::bind
is_singleton: true
name: bind
params: (property)
visibility: public
